Package: org.codehaus.groovy.macro.runtime

## [Java] Enum MacroStub

- org.codehaus.groovy.macro.runtime.MacroStub

- Stub for macro calls.

  Authors:
    Sergei Egorov
  Since:
    2.5.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `T` | `macroMethod(T obj)` Stub for macro calls.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### MacroStub INSTANCE

  - ### Method Detail

    - #### <T> public T macroMethod(T obj)

      Stub for macro calls.

      Authors:
        Sergei Egorov
      Since:
        2.5.0